/* *******************************************************************************************
The MIT License

Copyright (c) 2007 Steven G. Greenberg

Permission is hereby granted, free of charge, to any person obtaining a copy of this
software and associated documentation files (the "Software"), to deal in the Software
without restriction, including without limitation the rights to use, copy, modify, merge,
publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons
to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or
substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE
FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
DEALINGS IN THE SOFTWARE.
******************************************************************************************* */

#ifndef GUID_NULL

// {00000000-0000-0000-0000-000000000000}
DEFINE_GUID(GUID_NULL,
  0x00000000, 0x0000, 0x0000, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00);
#endif

#ifndef CLSID_NULL
#define CLSID_NULL	GUID_NULL
#endif




// {31435657-0000-0010-8000-00aa00389b71}
DEFINE_GUID(MEDIASUBTYPE_WVC1,
  0x31435657, 0x0000, 0x0010, 0x80, 0x00, 0x00, 0xaa, 0x00, 0x38, 0x9b, 0x71);

// ================================================================================

// {75B22630-668E-11CF-A6D9-00AA0062CE6C}
DEFINE_GUID(ASF_Header_Object,
  0x75B22630, 0x668E, 0x11CF, 0xA6, 0xD9, 0x00, 0xAA, 0x00, 0x62, 0xCE, 0x6C);

// ---------------------------------------------------------------------------------

// {B7DC0791-A9B7-11CF-8EE6-00C00C205365}
DEFINE_GUID(ASF_Stream_Properties_Object,
  0xB7DC0791, 0xA9B7, 0x11CF, 0x8E, 0xE6, 0x00, 0xC0, 0x0C, 0x20, 0x53, 0x65);

// {8CABDCA1-A947-11CF-8EE4-00C00C205365}
DEFINE_GUID(ASF_File_Properties_Object,
  0x8CABDCA1, 0xA947, 0x11CF, 0x8E, 0xE4, 0x00, 0xC0, 0x0C, 0x20, 0x53, 0x65);

// 10.4	Stream Properties Object Stream Type GUIDs

// {F8699E40-5B4D-11CF-A8FD-00805F5C442B}
DEFINE_GUID(ASF_Audio_Media,
  0xF8699E40, 0x5B4D, 0x11CF, 0xA8, 0xFD, 0x00, 0x80, 0x5F, 0x5C, 0x44, 0x2B);

// {BC19EFC0-5B4D-11CF-A8FD-00805F5C442B}
DEFINE_GUID(ASF_Video_Media,
  0xBC19EFC0, 0x5B4D, 0x11CF, 0xA8, 0xFD, 0x00, 0x80, 0x5F, 0x5C, 0x44, 0x2B);

// {59DACFC0-59E6-11D0-A3AC-00A0C90348F6}
DEFINE_GUID(ASF_Command_Media,
  0x59DACFC0, 0x59E6, 0x11D0, 0xA3, 0xAC, 0x00, 0xA0, 0xC9, 0x03, 0x48, 0xF6);

// {B61BE100-5B4E-11CF-A8FD-00805F5C442B}
DEFINE_GUID(ASF_JFIF_Media,
  0xB61BE100, 0x5B4E, 0x11CF, 0xA8, 0xFD, 0x00, 0x80, 0x5F, 0x5C, 0x44, 0x2B);

// {35907DE0-E415-11CF-A917-00805F5C442B}
DEFINE_GUID(ASF_Degradable_JPEG_Media,
  0x35907DE0, 0xE415, 0x11CF, 0xA9, 0x17, 0x00, 0x80, 0x5F, 0x5C, 0x44, 0x2B);

// {91BD222C-F21C-497A-8B6D-5AA86BFC0185}
DEFINE_GUID(ASF_File_Transfer_Media,
  0x91BD222C, 0xF21C, 0x497A, 0x8B, 0x6D, 0x5A, 0xA8, 0x6B, 0xFC, 0x01, 0x85);

// {3AFB65E2-47EF-40F2-AC2C-70A90D71D343}
DEFINE_GUID(ASF_Binary_Media,
  0x3AFB65E2, 0x47EF, 0x40F2, 0xAC, 0x2C, 0x70, 0xA9, 0x0D, 0x71, 0xD3, 0x43);


// ---------------------------------------------------------------------------------

// {5FBF03B5-A92E-11CF-8EE3-00C00C205365}
DEFINE_GUID(ASF_Header_Extension_Object,
  0x5FBF03B5, 0xA92E, 0x11CF, 0x8E, 0xE3, 0x00, 0xC0, 0x0C, 0x20, 0x53, 0x65);

// included in a group of objects within an ASF_Header_Extension_Object - one we're interested in
// {14E6A5CB-C672-4332-8399-A96952065B5A}
DEFINE_GUID(ASF_Extended_Stream_Properties_Object,
  0x14E6A5CB, 0xC672, 0x4332, 0x83, 0x99, 0xA9, 0x69, 0x52, 0x06, 0x5B, 0x5A);


// {C5F8CBEA-5BAF-4877-8467-AA8C44FA4CCA}
DEFINE_GUID(ASF_Metadata_Object,
  0xC5F8CBEA, 0x5BAF, 0x4877, 0x84, 0x67, 0xAA, 0x8C, 0x44, 0xFA, 0x4C, 0xCA);

// ---------------------------------------------------------------------------------

// {ABD3D211-A9BA-11cf-8EE6-00C00C205365}
DEFINE_GUID(ASF_Reserved_1,
  0xABD3D211, 0xA9BA, 0x11cf, 0x8E, 0xE6, 0x00, 0xC0, 0x0C, 0x20, 0x53, 0x65);

// ---------------------------------------------------------------------------------

// {75B22636-668E-11CF-A6D9-00AA0062CE6C}
DEFINE_GUID(ASF_Data_Object,
  0x75B22636, 0x668E, 0x11CF, 0xA6, 0xD9, 0x00, 0xAA, 0x00, 0x62, 0xCE, 0x6C);
